/**
 * AUTO_COPYRIGHT_SUB_TAG
 */
package com.rim.samples.device.push;

import com.rim.samples.device.push.lib.*;
import com.rim.samples.device.push.ui.*;

import net.rim.device.api.ui.*;

/**
 * Main entry point for the push application. Creates application instance and pushes the welcome screen.
 */
public class PushMain {

    private static WelcomeScreen welcomeScreen;
    private static MessageViewScreen messageScreen;
    private static LogScreen logScreen;
    private static ConfigScreen configScreen;
    private static MessageHistoryScreen historyScreen;

    public static void main( String[] args ) {

        // create application instance
        UiApplication application = PushLibFactory.getUiApplication();

        // create all the screens in application
        welcomeScreen = new WelcomeScreen();
        messageScreen = new MessageViewScreen();
        logScreen = new LogScreen();
        configScreen = new ConfigScreen();
        historyScreen = new MessageHistoryScreen();

        // push the welcome screen
        application.pushScreen( welcomeScreen );

        // notify push controller
        PushController.appStarted();

        // and update labels
        PushController.updateCountLabels();

        // process events
        application.enterEventDispatcher();
    }

    public static WelcomeScreen getWelcomeScreen() {
        return welcomeScreen;
    }

    public static MessageViewScreen getMessageViewScreen() {
        return messageScreen;
    }

    public static LogScreen getLogScreen() {
        return logScreen;
    }

    public static ConfigScreen getConfigScreen() {
        return configScreen;
    }

    public static MessageHistoryScreen getHistoryScreen() {
        return historyScreen;
    }

}
