/**
 * AUTO_COPYRIGHT_SUB_TAG
 */
package com.rim.samples.device.push.cmd;

import com.rim.samples.device.push.ContentProviderProtocol;
import com.rim.samples.device.push.PersistentStorage;
import com.rim.samples.device.push.lib.BpasProtocol;
import com.rim.samples.device.push.lib.PushLibFactory;

public class UnregisterCommand extends NetworkCommand {

    private boolean onSimSwap;
    private boolean isEnterprise;
    
    public UnregisterCommand( String username, String password, boolean onSimSwap, boolean isEnterprise ) {
        super( username, password );
        this.onSimSwap = onSimSwap;
        this.isEnterprise = isEnterprise;
    }

    protected void execute() throws Exception {
        // update the registered state
        PersistentStorage.setRegistered( false );
        // unsubscribe from our Content Provider
        if( !onSimSwap ) {
            ContentProviderProtocol.performCommand( ContentProviderProtocol.CMD_UNSUBSCRIBE, username, password, isEnterprise, tx );
        }
        // unregister from BPS
        BpasProtocol bpasProtocol = PushLibFactory.getBpasProtocol();
        bpasProtocol.unregister( tx, isEnterprise );
    }

    public String getCommandName() {
        return "unregister";
    }

    public boolean isOnSimSwap() {
        return onSimSwap;
    }
    
}
