/**
 * AUTO_COPYRIGHT_SUB_TAG
 */
package com.rim.samples.device.push.ui;

import net.rim.device.api.i18n.DateFormat;
import net.rim.device.api.system.EncodedImage;
import net.rim.device.api.ui.component.BitmapField;
import net.rim.device.api.ui.component.LabelField;
import net.rim.device.api.ui.container.MainScreen;

/**
 * Screen to display incoming push message
 */
public class MessageViewScreen extends MainScreen {

    private long timestamp;
    private String text;
    private EncodedImage image;
    private DateFormat dateFormat;

    public MessageViewScreen() {
        setTitle( "Youve got a message!" );
        dateFormat = DateFormat.getInstance( DateFormat.DATETIME_DEFAULT );
    }

    public void setMessage( long timestamp, String text ) {
        this.timestamp = timestamp;
        this.text = text;
        this.image = null;
        relayout();
    }

    public void setMessage( long timestamp, EncodedImage image ) {
        this.timestamp = timestamp;
        this.image = image;
        this.text = null;
        relayout();
    }

    private void relayout() {
        deleteAll();
        if( text != null ) {
            add( new LabelField( "Text message" ) );
            add( new LabelField( "Received on" ) );
            add( new LabelField( dateFormat.formatLocal( timestamp ) ) );
            add( new LabelField( text ) );
        } else {
            add( new LabelField( "Image" ) );
            add( new LabelField( "Received on" ) );
            add( new LabelField( dateFormat.formatLocal( timestamp ) ) );
            add( new BitmapField( image.getBitmap() ) );
        }
    }
}
